CVE-1999-1466
CVSS7.5
发布时间 :1992-12-10 00:00:00
修订时间 :2008-09-05 16:19:35
NMCS    

[原文]Vulnerability in Cisco routers versions 8.2 through 9.1 allows remote attackers to bypass access control lists when extended IP access lists are used on certain interfaces, the IP route cache is enabled, and the access list uses the "established" keyword.


[CNNVD]Cisco访问列表漏洞(CNNVD-199212-002)

        Cisco路由器8.2到9.1版本存在漏洞。远程攻击者在以下情况中可以绕过访问控制列表,就是特定的界面使用扩展的IP访问列表,IP路由缓存启用并且访问列表使用"established"关键字。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:cisco:ios:9.1Cisco IOS 9.1
cpe:/o:cisco:ios:9.0Cisco IOS 9.0
cpe:/o:cisco:ios:8.3Cisco IOS 8.3
cpe:/o:cisco:ios:8.2Cisco IOS 8.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1466
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1466
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199212-002
(官方数据源) CNNVD

- 其它链接及资源

http://www.cert.org/advisories/CA-1992-20.html
(VENDOR_ADVISORY)  CERT  CA-1992-20
http://www.securityfocus.com/bid/53
(VENDOR_ADVISORY)  BID  53

- 漏洞信息

Cisco访问列表漏洞
高危 未知
1992-12-10 00:00:00 2005-10-20 00:00:00
远程  
        Cisco路由器8.2到9.1版本存在漏洞。远程攻击者在以下情况中可以绕过访问控制列表,就是特定的界面使用扩展的IP访问列表,IP路由缓存启用并且访问列表使用"established"关键字。

- 公告与补丁

        This vulnerability can be avoided by either rewriting the extended
        access list to not use the "established" keyword, or by configuring
        the interface to not use the IP route cache. To disable the IP route
        cache, use the configuration command "no ip route-cache".
        Example for a serial interface:
         router>enable
        Password:
         router#configure terminal
        Enter configuration commands, one per line.
         Edit with DELETE, CTRL/W, and CTRL/U; end with CTRL/Z
         interface serial 0
         no ip route-cache
         ^Z
         router#write memoryThis vulnerability is fixed in Cisco software releases 8.3 (update 5.10),
        9.0 (update 2.5), 9.1 (update 1.1) and in all later releases. Customers
        who are using software release 8.2 and do not want to upgrade to a later
        release should contact Cisco's Technical Assistance Center (TAC) at
        800-553-2447 (Internet: tac@cisco.com) for more information.
        The following interim releases are available via anonymous FTP from
        ftp.cisco.com (131.108.1.111).
        Note: this FTP server will not allow filenames to be listed or matched
        with wildcards. You also cannot request the file by its full pathname.
        You must first cd to the desired directory (beta83_dir, beta90_dir, or
        beta91_dir) and then request the file desired (gs3-bfx.83-5.10, etc.).
        Release (Update) Filename Size Checksum
         8.3 (5.10) /beta83_dir/gs3-bfx.83-5.10 1234696 02465 1206
         9.0 (2.5) /beta90_dir/gs3-bfx.90-2.5 1705364 47092 1666
         9.1 (1.1) /beta91_dir/gs3-k.91-1.1 2005548 59407 1959

- 漏洞信息

Cisco Access List Vulnerability
Unknown 53
Yes No
1992-12-10 12:00:00 2009-07-11 12:16:00

- 受影响的程序版本

Cisco IOS 9.1
Cisco IOS 9.0
Cisco IOS 8.3
Cisco IOS 8.2

- 漏洞讨论

A vulnerability in Cisco access lists allows some packets to be erroneously routed which one would expect to be filtered by the access list and vice-versa. This vulnerability can allow unauthorized traffic to pass through the gateway and can block authorized traffic.

If a Cisco router is configured to use extended IP access lists for traffic filtering on an MCI, SCI, cBus or cBusII interface, and the IP route cache is enabled, and the "established" keyword is used in the access list, then the access list can be improperly evaluated. This can permit packets which should be filtered and filter packets which should be permitted.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

This vulnerability can be avoided by either rewriting the extended
access list to not use the "established" keyword, or by configuring
the interface to not use the IP route cache. To disable the IP route
cache, use the configuration command "no ip route-cache".

Example for a serial interface:
router>enable

Password:
router#configure terminal

Enter configuration commands, one per line.
Edit with DELETE, CTRL/W, and CTRL/U; end with CTRL/Z
interface serial 0
no ip route-cache
^Z
router#write memoryThis vulnerability is fixed in Cisco software releases 8.3 (update 5.10),
9.0 (update 2.5), 9.1 (update 1.1) and in all later releases. Customers
who are using software release 8.2 and do not want to upgrade to a later
release should contact Cisco's Technical Assistance Center (TAC) at
800-553-2447 (Internet: tac@cisco.com) for more information.

The following interim releases are available via anonymous FTP from
ftp.cisco.com (131.108.1.111).

Note: this FTP server will not allow filenames to be listed or matched
with wildcards. You also cannot request the file by its full pathname.
You must first cd to the desired directory (beta83_dir, beta90_dir, or
beta91_dir) and then request the file desired (gs3-bfx.83-5.10, etc.).

Release (Update) Filename Size Checksum
8.3 (5.10) /beta83_dir/gs3-bfx.83-5.10 1234696 02465 1206
9.0 (2.5) /beta90_dir/gs3-bfx.90-2.5 1705364 47092 1666
9.1 (1.1) /beta91_dir/gs3-k.91-1.1 2005548 59407 1959

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站